Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037320
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminoralways2017-11-17 18:242018-01-03 12:39
ReporterdmiguelezView Statuspublic 
Assigned Todmiguelez 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q1
StatusclosedFix in branchFixed in SCM revisione54f691c3943
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037320: Create Fiscal Year 2018 and open it's Periods for QA Client

DescriptionCreate Fiscal Year 2018 and open it's Periods for QA Client.

This is needed in order to properly launch some automated tests that will create data based on the current date and will validate if there is an open period for the date.
Steps To ReproduceLaunch org.openbravo.test.costing Test Suite as of 17th of Novemeber of 2017
testCostingGM5 and testCostingV10 Tests will fail due to problems when looking for a Period
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0100608)
hgbot (developer)
2017-11-20 08:00

Repository: erp/devel/pi
Changeset: 547b0b1d7008266424ad96c3d21bd0df74781881
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Sun Nov 19 06:33:26 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/547b0b1d7008266424ad96c3d21bd0df74781881 [^]

Related to Issue 37320. Export sample.data of QA Client
from a clean install.source

---
M referencedata/sampledata/QA_Testing/AD_CLIENT.xml
M referencedata/sampledata/QA_Testing/AD_ROLE.xml
M referencedata/sampledata/QA_Testing/AD_SEQUENCE.xml
M referencedata/sampledata/QA_Testing/AD_USER.xml
M referencedata/sampledata/QA_Testing/C_BPARTNER.xml
M referencedata/sampledata/QA_Testing/C_ORDER.xml
M referencedata/sampledata/QA_Testing/C_POC_DOCTYPE_TEMPLATE.xml
M referencedata/sampledata/QA_Testing/FACT_ACCT.xml
M referencedata/sampledata/QA_Testing/FIN_PAYMENT.xml
M referencedata/sampledata/QA_Testing/FIN_PAYMENT_SCHEDULE.xml
M referencedata/sampledata/QA_Testing/FIN_PAYMENT_SCHEDULEDETAIL.xml
M referencedata/sampledata/QA_Testing/M_INOUT.xml
M referencedata/sampledata/QA_Testing/M_PRODUCT.xml
M referencedata/sampledata/QA_Testing/M_STORAGE_DETAIL.xml
R referencedata/sampledata/QA_Testing/OBUIAPP_GC_FIELD.xml
R referencedata/sampledata/QA_Testing/OBUIAPP_GC_TAB.xml
---
(0100609)
hgbot (developer)
2017-11-20 08:00

Repository: erp/devel/pi
Changeset: e54f691c39434940431d474aad2e38e0172d75f3
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Sun Nov 19 06:51:35 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/e54f691c39434940431d474aad2e38e0172d75f3 [^]

Fixes issue 37320. Created Fiscal Year and periods for 2018
from QA Client

---
M referencedata/sampledata/QA_Testing/AD_PINSTANCE.xml
M referencedata/sampledata/QA_Testing/AD_PINSTANCE_PARA.xml
M referencedata/sampledata/QA_Testing/AD_PROCESS_REQUEST.xml
M referencedata/sampledata/QA_Testing/C_PERIOD.xml
M referencedata/sampledata/QA_Testing/C_PERIODCONTROL.xml
M referencedata/sampledata/QA_Testing/C_PERIODCONTROL_LOG.xml
M referencedata/sampledata/QA_Testing/C_YEAR.xml
M referencedata/sampledata/QA_Testing/M_INOUT.xml
M referencedata/sampledata/QA_Testing/M_INVENTORY.xml
M referencedata/sampledata/QA_Testing/M_MATCHINV.xml
M referencedata/sampledata/QA_Testing/M_MOVEMENT.xml
---
(0100615)
aferraz (developer)
2017-11-20 12:07

Reviewed
(0101438)
hudsonbot (developer)
2018-01-03 12:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test
(0101439)
hudsonbot (developer)
2018-01-03 12:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-11-17 18:24 dmiguelez New Issue
2017-11-17 18:24 dmiguelez Assigned To => Triage Finance
2017-11-17 18:24 dmiguelez Modules => Core
2017-11-17 18:24 dmiguelez Triggers an Emergency Pack => No
2017-11-17 18:24 dmiguelez Assigned To Triage Finance => dmiguelez
2017-11-20 08:00 hgbot Checkin
2017-11-20 08:00 hgbot Note Added: 0100608
2017-11-20 08:00 hgbot Checkin
2017-11-20 08:00 hgbot Note Added: 0100609
2017-11-20 08:00 hgbot Status new => resolved
2017-11-20 08:00 hgbot Resolution open => fixed
2017-11-20 08:00 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/e54f691c39434940431d474aad2e38e0172d75f3 [^]
2017-11-20 12:07 aferraz Review Assigned To => aferraz
2017-11-20 12:07 aferraz Note Added: 0100615
2017-11-20 12:07 aferraz Status resolved => closed
2017-11-20 12:07 aferraz Fixed in Version => 3.0PR18Q1
2018-01-03 12:39 hudsonbot Checkin
2018-01-03 12:39 hudsonbot Note Added: 0101438
2018-01-03 12:39 hudsonbot Checkin
2018-01-03 12:39 hudsonbot Note Added: 0101439


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker